Libosmium: osmium::area::AssemblerLegacy Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Member Functions | Static Private Member Functions | List of all members
osmium::area::AssemblerLegacy Class Reference

`#include <assembler_legacy.hpp>`

Inheritance diagram for osmium::area::AssemblerLegacy:
[legend]
Collaboration diagram for osmium::area::AssemblerLegacy:
[legend]

## Classes
struct | MPFilter

## Public Member Functions
| AssemblerLegacy (const config_type &config)
bool | operator() (const osmium::Way &way, osmium::memory::Buffer &out_buffer)
bool | operator() (const osmium::Relation &relation, const std::vector< const osmium::Way * > &members, osmium::memory::Buffer &out_buffer)

## Private Member Functions
void | add_common_tags (osmium::builder::TagListBuilder &tl_builder, const std::set< const osmium::Way * > &ways) const
void | add_tags_to_area (osmium::builder::AreaBuilder &builder, const osmium::Relation &relation)
bool | create_area (osmium::memory::Buffer &out_buffer, const osmium::Way &way)
bool | create_area (osmium::memory::Buffer &out_buffer, const osmium::Relation &relation, const std::vector< const osmium::Way * > &members)

## Static Private Member Functions
static const MPFilter & | filter () noexcept

## Detailed Description

Assembles area objects from closed ways or multipolygon relations and their members.

## Constructor & Destructor Documentation

## ◆ AssemblerLegacy()

osmium::area::AssemblerLegacy::AssemblerLegacy | ( | const config_type & | config | ) |
| inlineexplicit

## Member Function Documentation

## ◆ add_common_tags()

void osmium::area::AssemblerLegacy::add_common_tags | ( | osmium::builder::TagListBuilder & | tl_builder,
|  | const std::set< const osmium::Way * > & | ways ) const
| inlineprivate

## ◆ add_tags_to_area()

void osmium::area::AssemblerLegacy::add_tags_to_area | ( | osmium::builder::AreaBuilder & | builder,
|  | const osmium::Relation & | relation )
| inlineprivate

## ◆ create_area() [1/2]

bool osmium::area::AssemblerLegacy::create_area | ( | osmium::memory::Buffer & | out_buffer,
|  | const osmium::Relation & | relation,
|  | const std::vector< const osmium::Way * > & | members )
| inlineprivate

## ◆ create_area() [2/2]

bool osmium::area::AssemblerLegacy::create_area | ( | osmium::memory::Buffer & | out_buffer,
|  | const osmium::Way & | way )
| inlineprivate

## ◆ filter()

const MPFilter & osmium::area::AssemblerLegacy::filter | ( |  | ) |
| inlinestaticprivatenoexcept

## ◆ operator()() [1/2]

bool osmium::area::AssemblerLegacy::operator() | ( | const osmium::Relation & | relation,
|  | const std::vector< const osmium::Way * > & | members,
|  | osmium::memory::Buffer & | out_buffer )
| inline

Assemble an area from the given relation and its members. The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area(s), true otherwise.

## ◆ operator()() [2/2]

bool osmium::area::AssemblerLegacy::operator() | ( | const osmium::Way & | way,
|  | osmium::memory::Buffer & | out_buffer )
| inline

Assemble an area from the given way. The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area, true otherwise.

The documentation for this class was generated from the following file:

- include/osmium/area/assembler_legacy.hpp